Subject: bug#20623: XML and HTML files with encoding/charset="utf-8" declaration loose BOM; Coding system is reset from utf-8-with-signature to utf-8 on save

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 Dec 2017 16:08:14 -0500

> Isn't it better to fix this in sgml-xml-auto-coding-function?  That's
> where the root cause is, AFAIU.

I'd expect the same problem would affect all other uses.

> And I don't understand the comment about latin-1-mac: I don't think we
> have such problems in Emacs.  The -with-signature variety is
> different, because it is not about EOL format.

You might be right, but I don't know where/how this is handled.

        Stefan